## giosink giosink — Write to any GIO-supported location |

## Synopsis

                        GstGioSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstGioBaseSink
                               +----GstGioSink

## Implemented Interfaces

GstGioSink implements GstURIHandler.

## Properties

      "location"                 gchar*                : Read / Write
      "file"                     GFile*                : Read / Write

## Description

This plugin writes incoming data to a local or remote location specified by an URI. This location can be specified using any protocol supported by the GIO library or it's VFS backends. Common protocols are 'file', 'ftp', or 'smb'.

### Example pipelines

    gst-launch -v filesrc location=input.xyz ! giosink location=file:///home/joe/out.xyz

The above pipeline will simply copy a local file. Instead of giosink, we could just as well have used the filesink element here.

    gst-launch -v filesrc location=foo.mp3 ! mad ! flacenc ! giosink location=smb://othercomputer/foo.flac

The above pipeline will re-encode an mp3 file into FLAC format and store it on a remote host using the Samba protocol.

    gst-launch -v audiotestsrc num-buffers=100 ! vorbisenc ! oggmux ! giosink location=file:///home/foo/bar.ogg

The above pipeline will encode a 440Hz sine wave to Ogg Vorbis and stores it in the home directory of user foo.

## Synopsis

### Element Information

plugin | gio
author | René Stadler <mail@renestadler.de>, Sebastian Dröge <slomo@circular-chaos.org>
class | Sink/File

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### GstGioSink

    typedef struct _GstGioSink GstGioSink;

Opaque data structure.

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

URI location to write to.

Default value: NULL

### The `"file"` property

      "file"                     GFile*                : Read / Write

`GFile` to write to.

Since 0.10.20

## See Also

#GstFileSink, GstGnomeVFSSink, GstGioSrc